%define name wxftp
%define version 0.4.4
%define release 5

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: A GUI FTP client for the X Window System.

Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Internet
Copyright: Artistic License
Url: http://www.wxftp.seul.org
Source0: %{name}-%{version}.src.tar.gz
Patch0: %{name}-%{version}-1-makefile.patch.bz2
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description
WXftp is an FTP client with a graphical user interface, for use with
the X Window System.  Features include a convenient session manager
window and an on-line help system.  WXftp supports passive data
transfers, recursive downloads with a resume option, recursive
uploads, multiple delete with option to recurse, and auto-redial.
WXftp is written using the Motif widget set and the XbaeMatrix Widget
(you'll need to have either Motif or LessTif, plus Xbae, installed).
Alternatively, an implementation which uses GTK+ is available.

%prep
%setup -q 

%patch0 -p1 -b .mike
find . -type d -exec chmod 755 {} \;

%build
make -C src

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT/ ; fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
cp %{builddir}/src/wf $RPM_BUILD_ROOT/usr/X11R6/bin/wxftp
cp %{builddir}/wxftp.1X $RPM_BUILD_ROOT/usr/X11R6/man/man1/wxftp.1x
gzip -9f $RPM_BUILD_ROOT/usr/X11R6/man/man1/*.1x
strip $RPM_BUILD_ROOT/usr/X11R6/bin/*

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/wxftp <<EOF
wxftp name "wxftp"
wxftp description "X11 FTP client"
wxftp exec "wxftp &"
wxftp group Networking
EOF

%clean
rm -r $RPM_BUILD_ROOT
rm -r %{builddir}

%files
%defattr(-,root,root)
%doc Artistic README CHANGES TODO LGPL LICENSE help
%attr(644,root,root) %config(missingok) /etc/X11/wmconfig/wxftp
%attr(755,root,root) /usr/X11R6/bin/wxftp
%attr(644,root,root) /usr/X11R6/man/man1/*.1x.gz

%changelog
* Mon Jul 26 1999 Tim Powers <timp@Redhat.com>
- rebuilt for 6.1

* Tue May 11 1999 Cristian Gafton <gafton@redhat.com>
- insert defattr to make it safer

* Wed Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source from 4.0 wxftp
